## net.i2p.router.networkdb
Class HandleDatabaseStoreMessageJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.HandleDatabaseStoreMessageJob

All Implemented Interfaces:
  Job

public class HandleDatabaseStoreMessageJob
extends JobImpl

Receive DatabaseStoreMessage data and store it in the local net db

Constructor Summary
`HandleDatabaseStoreMessageJob(RouterContext ctx, DatabaseStoreMessage receivedMessage, RouterIdentity from, Hash fromHash)`

Method Summary
`void` `dropped()` the router is extremely overloaded, so this job has been dropped.
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HandleDatabaseStoreMessageJob

    public HandleDatabaseStoreMessageJob(RouterContext ctx,
                                         DatabaseStoreMessage receivedMessage,
                                         RouterIdentity from,
                                         Hash fromHash)

Method Detail

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### dropped

    public void dropped()

  Description copied from interface: `Job`
  the router is extremely overloaded, so this job has been dropped. if for some reason the job *must* do some cleanup / requeueing of other tasks, it should do so here.

  Specified by:
    `dropped` in interface `Job`
  Overrides:
    `dropped` in class `JobImpl`